package com.winhc.repal;

import com.winhc.repal.constant.Constant;
import com.winhc.repal.enums.PermissionEnum;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

import javax.annotation.PostConstruct;
import java.util.Arrays;
import java.util.stream.Collectors;

@EnableDiscoveryClient
@EnableFeignClients
@SpringBootApplication
public class RepalApplication {

    public static void main(String[] args) {
        SpringApplication.run(RepalApplication.class, args);
    }



    @PostConstruct
    public void initPermissionCode() {
        Constant.PERMISSION_MAP = Arrays.stream(PermissionEnum.values()).collect(Collectors.toMap(PermissionEnum::getCode, PermissionEnum::getMsg));
    }

}
