package com.winhc.repal.cloud.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Set;

/**
 * @author: liujian
 * @description: 诊断被告Bean
 * @date 2020-03-17 14:24
 */
@Data
public class DiagnosisDebtorDTO {

    private Long id;
    @ApiModelProperty(value = "被告名称")
    private String litigantName;

    @ApiModelProperty(value = "被告类型：0自然人 ；1企业;2 自然人无关联")
    private String litigantType;

    @ApiModelProperty(value = "自然人身份证号")
    private String idNo;

    @ApiModelProperty(value = "自然人关联公司")
    private String relatedCompany;

    @ApiModelProperty(value = "自然人年龄")
    private Integer age;
    @ApiModelProperty(value = "自然人户籍地址")
    private String personAddress;

    @ApiModelProperty(value = "自然人性别")
    private String sex;

    @ApiModelProperty("0 成功；1 失败")
    private Integer status;

    @ApiModelProperty("结果数据主键ID")
    private String mId;

    @ApiModelProperty(value = "ABCD")
    private String grade;

    @ApiModelProperty(value = "评分")
    private Double score;

    @ApiModelProperty(value = "是否选中作为最终评分：Y是 ；N否")
    private String isChosen;

    // (企业/自然人)措施Id
    private Set<Integer> mesureIds;


}
