package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @description RepalOrder实体对象
 * @author Generator
 * @date 2022-06-13
 */
@Data
@Accessors(chain = true)
@TableName("REPAL_BUY_ORDER")
@ApiModel(value="RepalOrder实体对象", description="回款宝订单表")
public class RepalBuyOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "第三方组织id")
    @TableField("THIRD_PARTY_GROUP_ID")
    private String thirdPartyGroupId;

    @ApiModelProperty(value = "第三方应用id")
    @TableField("THIRD_PARTY_APP_ID")
    private String thirdPartyAppId;

    @ApiModelProperty(value = "第三方购买订单id")
    @TableField("ORDER_ID")
    private String orderId;

    @ApiModelProperty(value = "付费方案id/订单方案id")
    @TableField("ORDER_PLAN_ID")
    private String orderPlanId;

    @ApiModelProperty(value = "用户购买类型")
    @TableField("ORDER_PLAY_TYPE")
    private String orderPlayType;

    @ApiModelProperty(value = "购买人份")
    @TableField("SEATS")
    private Integer seats;

    @ApiModelProperty(value = "订单创建时间")
    @TableField("ORDER_TIME_CREATED")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime orderTimeCreated;

    @ApiModelProperty(value = "支付时间")
    @TableField("PAY_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime payTime;

    @ApiModelProperty(value = "购买类型。buy普通购买。upgrade升级购买。renew续费购买")
    @TableField("BUY_TYPE")
    private String buyType;

    @ApiModelProperty(value = "upgrade时，原订单id")
    @TableField("SOURCE_ORDER_ID")
    private String sourceOrderId;

    @ApiModelProperty(value = "支付金额")
    @TableField("PAY_AMT")
    private BigDecimal payAmt;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @TableField("TIME_MODIFIED")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;


}
