package com.winhc.repal.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * @description RepalCustomer实体对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("REPAL_CUSTOMER")
@ApiModel(value="RepalCustomer实体对象", description="回款宝客户表")
public class RepalCustomer implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "客户id")
    @TableId(value = "CUST_ID", type = IdType.AUTO)
    private Long custId;

    @ApiModelProperty(value = "所属组织id")
    @TableField("REPAL_GROUP_ID")
    private Long repalGroupId;

    @ApiModelProperty(value = "客户名称")
    @TableField("CUST_NAME")
    private String custName;

    @ApiModelProperty(value = "客户性质 1企业 2个人 3政府事业单位")
    @TableField("CUST_PROPERTY")
    private Integer custProperty;

    @ApiModelProperty(value = "公司id")
    @TableField("COMPANY_ID")
    private String companyId;

    @ApiModelProperty(value = "所属行业JSON")
    @TableField("INDUSTRY")
    private String industry;

    @ApiModelProperty(value = "办公地址")
    @TableField("ADDRESS")
    private String address;

    @ApiModelProperty(value = "附件JSON")
    @TableField("ATTACHMENT")
    private String attachment;

    @ApiModelProperty(value = "备注信息")
    @TableField("REMARK")
    private String remark;

    @ApiModelProperty(value = "是否删除 0否 1是")
    @TableField("DELETED")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("TIME_CREATED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeCreated;

    @ApiModelProperty(value = "修改时间")
    @TableField("TIME_MODIFIED")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime timeModified;

    @ApiModelProperty(value = "1客户  2供应商")
    @TableField("CUST_TYPE")
    private Integer custType;


}
