package com.winhc.repal.enums;

/**
 * @description: 财产线索维度枚举
 * @author: Anakin
 * @date 2020.12.17 17:07
 */
public enum FinanceDimensionEnum {
    破产公告("1","BANKRUPTCY_OPEN_CASE","破产公告", "PoChanChongZhengDet"),
    工商信息("2","INCREASE_REGISTERED_CAPITAL_INFO","工商信息", "GongShangXinXiCaiChan"),
    招投标("3","COMPANY_BID_LIST","招投标", "ZhaoTouBiaoDet"),
    软件著作权("4","COMPANY_COPYRIGHT_REG_LIST","软件著作权","RuanJianZhuZuoQuanDet"),
    作品著作权("5","COMPANY_COPYRIGHT_WORKS_LIST","作品著作权", "ZuoPinZhuZuoQuanDet"),
    开庭公告("6","COMPANY_COURT_OPEN_ANNOUNCEMENT_LIST","开庭公告", "KaiTingGongGaoDet"),
    企业失信被执("7","COMPANY_DISHONEST_INFO","企业失信被执", "ShiXinQingKuangDet"),
    股权出质("8","COMPANY_EQUITY_INFO_LIST","股权出质", "GuQuanChuZhiDet"),
    融资历史("9","COMPANY_FINANCE","融资历史", "RongZhiXinXi"),
    股东("10","COMPANY_HOLDER","股东", "GuDongCaiChan"),
    购地信息("11","COMPANY_LAND_ANNOUNCEMENT","购地信息", "GouDiXinXiDet"),
    土地抵押("12","COMPANY_LAND_MORTGAGE","土地抵押", "TuDiDiYaDet"),
    动产抵押("13","COMPANY_MORTGAGE_INFO","动产抵押", "DongChanDiYaDet"),
    专利("14","COMPANY_PATENT_LIST","专利", "ZhuanLiDet"),
    商标("15","COMPANY_TM","商标", "ShangBiaoDet"),
    企业被执行人("16","COMPANY_ZXR_LIST","企业被执行人", "BeiZhiXingRen"),
    限制消费令("17","COMPANY_ZXR_RESTRICT","限制消费令", "JYXianZhiGaoXiaoFeiDet"),
    裁判文书("18","WENSHU_DETAIL","裁判文书", "JYNewCaselibDet"),
    司法拍卖("19","AUCTION_TRACKING_LIST","司法拍卖", "PaiMaiXiangQing"),
    询价评估机构("20","ZXR_EVALUATE","询价评估（机构）","XunJiaPingGuJiGouCaiChan"),
    询价评估结果("21","ZXR_EVALUATE_RESULTS","询价评估", "XunJiaPingGuDet");
    private String code;
    private String tableName;
    private String desc;
    private String routing;

    FinanceDimensionEnum(String code, String tableName, String desc) {
        this.code = code;
        this.tableName = tableName;
        this.desc = desc;
    }

    FinanceDimensionEnum(String code, String tableName, String desc, String routing) {
        this.code = code;
        this.tableName = tableName;
        this.desc = desc;
        this.routing = routing;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getTableName() {
        return tableName;
    }

    public String getRouting() {
        return routing;
    }

    public static FinanceDimensionEnum getByCode(String code) {
        for (FinanceDimensionEnum e : FinanceDimensionEnum.values()) {
            if (e.getCode().equals(code)) {
                return e;
            }
        }
        return null;
    }
}
