package com.winhc.repal.enums;

/**
 * @Description: FsBuyTypeEnum
 * @Author: xda
 * @Date: 2022/6/13 09:58
 */
public enum FsBuyTypeEnum {

    /**
     * 飞书订单购买类型
     */
    BUY("buy", "普通购买"),
    UPGRADE("upgrade", "升级购买"),
    RENEW("renew", "续费");

    private final String code;

    private final String msg;

    FsBuyTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static FsBuyTypeEnum getEnumByCode(String code) {
        for (FsBuyTypeEnum fsBuyTypeEnum : FsBuyTypeEnum.values()) {
            if (fsBuyTypeEnum.getCode().equals(code)) {
                return fsBuyTypeEnum;
            }
        }
        return null;
    }
}
