package com.winhc.repal.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @Description: DingTalkCallbackDTO
 * @Author: xda
 * @Date: 2022/6/13 09:20
 */
@Data
@ApiModel("飞书订单回调")
public class FsCallbackDTO {

    @ApiModelProperty(value = "第三方组织id")
    private String thirdPartyGroupId;

    @ApiModelProperty(value = "第三方应用id")
    private String thirdPartyAppId;

    @ApiModelProperty(value = "第三方购买订单id")
    private String orderId;

    @ApiModelProperty(value = "付费方案id/订单方案id")
    private String orderPlanId;

    @ApiModelProperty(value = "用户购买类型")
    private String orderPlayType;

    @ApiModelProperty(value = "购买人份")
    private Integer seats;

    @ApiModelProperty(value = "订单创建时间,string,yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime orderTimeCreated;

    @ApiModelProperty(value = "支付时间string, yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime payTime;

    @ApiModelProperty(value = "购买类型。buy普通购买。upgrade升级购买。renew续费购买")
    private String buyType;

    @ApiModelProperty(value = "upgrade时，原订单id")
    private String sourceOrderId;

    @ApiModelProperty(value = "支付金额,元")
    private BigDecimal payAmt;

}
