package com.winhc.repal.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @Description: ReturnedEditDTO
 * @Author: xda
 * @Date: 2022/6/8 15:40
 */
@Data
@ApiModel("ReturnedEditDTO")
public class ReturnedEditDTO {

    @ApiModelProperty("金额变动记录id")
    private Long repalChangeRecordId;

    @ApiModelProperty("金额,string")
    private BigDecimal money;

    @ApiModelProperty("回款日期,string, yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate recordDate;
}
