package com.winhc.repal.repository;

import com.winhc.repal.entity.RepalRemindHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.winhc.repal.model.bo.BillRemindBO;
import com.winhc.repal.model.bo.BookDynamicCountBO;
import com.winhc.repal.model.vo.RemindTypeUnReadCountVO;
import com.winhc.repal.model.vo.RepalBillRemindUnReadVO;
import com.winhc.repal.model.vo.RepalRemindCountVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @description RepalRemindHistory Mapper 接口
 * @author Generator
 * @date 2022-04-08
 */
@Repository
public interface RepalRemindHistoryMapper extends BaseMapper<RepalRemindHistory> {
    RepalBillRemindUnReadVO getRemindUnReadVO(@Param("riskId")Long riskId,
                                              @Param("rankId")Long rankId,
                                              @Param("overdueId")Long overdueId,
                                              @Param("financeId")Long financeId,
                                              @Param("repalBookId")Long repalBookId,
                                              @Param("repalBillId")Long repalBillId,
                                              @Param("startTime") LocalDateTime startTime,
                                              @Param("endTime") LocalDateTime endTime);

    /**
     * 查询动态的数量
     * @param localDateTime
     * @return
     */
    RepalRemindCountVO remindCount(@Param("repalBillId")Long repalBillId,
                                   @Param("localDateTime") LocalDateTime localDateTime,
                                   @Param("riskId")Long riskId,
                                   @Param("rankId")Long rankId,
                                   @Param("overdueId")Long overdueId,
                                   @Param("financeId")Long financeId);

    /**
     * 获取账款动态总数
     * @param repalBookId repalBookId
     * @param userId userId
     * @param startDateTime startDateTime
     * @param endDateTime endDateTime
     * @return java.util.List<com.winhc.repal.model.bo.BookDynamicCountBO>
     * @author xda
     * @date 2022/5/7 15:40
     */
    List<BookDynamicCountBO> getBookDynamicCount(@Param("repalBookId") Long repalBookId,
                                                 @Param("userId") Long userId,
                                                 @Param("startDateTime") LocalDateTime startDateTime,
                                                 @Param("endDateTime") LocalDateTime endDateTime);

}
