package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.common.model.base.VOPage;
import com.winhc.repal.entity.RepalGroup;
import com.winhc.repal.model.dto.InitGroupDTO;
import com.winhc.repal.model.dto.PageDTO;
import com.winhc.repal.model.dto.RepalGroupUpdateDTO;
import com.winhc.repal.model.vo.GroupMemberVo;


/**
 * @description RepalGroup 接口类
 * @author Generator
 * @date 2022-04-13
 */
public interface RepalGroupService extends IService<RepalGroup> {


    /**
     * 初始化组织
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/6 13:44
     */
    Boolean initGroup(InitGroupDTO dto);


    /**
     * 获取组织成员列表
     * @param dto dto
     * @return com.winhc.common.model.base.VOPage<com.winhc.repal.model.vo.GroupMemberVo>
     * @author xda
     * @date 2022/5/7 14:30
     */
    VOPage<GroupMemberVo> getGroupMemberList(PageDTO dto);

    /**
     * 购买套餐回调
     * @param repalGroupId repalGroupId
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/18 17:03
     */
    Boolean vipCallback(Long repalGroupId);

    /**
     * 修改企业name
     * @param dto dto
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/6/17 14:09
     */
    Boolean updateGroupInfo(RepalGroupUpdateDTO dto);


}
