package com.winhc.repal.service.impl;

import com.winhc.common.enums.CodeMsg;
import com.winhc.common.exception.CommonException;
import com.winhc.repal.entity.RepalBuyOrder;
import com.winhc.repal.enums.FsBuyTypeEnum;
import com.winhc.repal.model.dto.FsCallbackDTO;
import com.winhc.repal.service.CallbackService;
import com.winhc.repal.service.RepalBuyOrderService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Objects;

/**
 * @Description: CallbackServiceImpl
 * @Author: xda
 * @Date: 2022/6/13 09:24
 */
@Service
public class CallbackServiceImpl implements CallbackService {

    @Autowired
    private RepalBuyOrderService repalBuyOrderService;

    @Override
    public Boolean processFsOrderCallback(FsCallbackDTO dto) {
        RepalBuyOrder repalOrder = new RepalBuyOrder();
        BeanUtils.copyProperties(dto, repalOrder);
        repalBuyOrderService.save(repalOrder);
        // 订单处理
        FsBuyTypeEnum fsBuyTypeEnum = FsBuyTypeEnum.getEnumByCode(dto.getBuyType());
        if (Objects.isNull(fsBuyTypeEnum)) {
            throw new CommonException(CodeMsg.FAILED, "购买类型错误");
        }
        switch (fsBuyTypeEnum) {
            case BUY:
                // 新购买
                break;
            case UPGRADE:
                // 升级
                break;
            case RENEW:
                // 续费
                break;
            default:
                break;
        }
        return true;
    }
}
